ExecuteStreamHandler (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs, interface: ExecuteStreamHandler

Package org.apache.tools.ant.taskdefs

# Interface ExecuteStreamHandler

All Known Implementing Classes:
  `BorlandDeploymentTool`, `CCMCreateTask`, `JikesOutputParser`, `JUnitTask.JUnitLogStreamHandler`, `LogStreamHandler`, `PumpStreamHandler`

    public interface ExecuteStreamHandler

Used by `Execute` to handle input and output stream of subprocesses.

Since:
  Ant 1.2

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `setProcessErrorStream​(java.io.InputStream is)` | Install a handler for the error stream of the subprocess.
  `void` | `setProcessInputStream​(java.io.OutputStream os)` | Install a handler for the input stream of the subprocess.
  `void` | `setProcessOutputStream​(java.io.InputStream is)` | Install a handler for the output stream of the subprocess.
  `void` | `start()` | Start handling of the streams.
  `void` | `stop()` | Stop handling of the streams - will not be restarted.

- ## Method Details

  - ### setProcessInputStream

    void setProcessInputStream​(java.io.OutputStream os) throws java.io.IOException
    Install a handler for the input stream of the subprocess.
    Parameters:
      `os` - output stream to write to the standard input stream of the subprocess
    Throws:
      `java.io.IOException` - on error

  - ### setProcessErrorStream

    void setProcessErrorStream​(java.io.InputStream is) throws java.io.IOException
    Install a handler for the error stream of the subprocess.
    Parameters:
      `is` - input stream to read from the error stream from the subprocess
    Throws:
      `java.io.IOException` - on error

  - ### setProcessOutputStream

    void setProcessOutputStream​(java.io.InputStream is) throws java.io.IOException
    Install a handler for the output stream of the subprocess.
    Parameters:
      `is` - input stream to read from the error stream from the subprocess
    Throws:
      `java.io.IOException` - on error

  - ### start

    void start() throws java.io.IOException
    Start handling of the streams.
    Throws:
      `java.io.IOException` - on error

  - ### stop

    void stop()
    Stop handling of the streams - will not be restarted.